<?php
/*
This file is part of Formol.

Formol is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

Formol is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Element class
 *
 * Manages element behaviour
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */

abstract class Element {

	/**
	 * Array of errors
	 *
	 * @var array
	 */
	protected  $_errors;

	/**
	 * element valid ?
	 *
	 * @var bool
	 */
	protected  $_valid = false;


	/**
	 * Element validating method
	 * @abstract
	 * @return void
	 */

	public abstract  function validate() ;

}
?>
