<?php
/*
This file is part of Formol.

Formol is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

Formol is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * Form Exceptions manager class
 *
 * Manages form exceptions
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */

class FormException extends Exception
{

	/**
	 * Constructor
	 *
	 * @return void
	 */

	public function __construct($msg=NULL, $code=0) { 
        parent::__construct($msg, $code); 
    } 
	
	/**
	 * Displays exception
	 *
	 * @return void
	 */
	
	public function display() {
        $xhtml = '';
		$xhtml .= "<div class=\"formexception\" style=\"background-color: #EFEFEF; width: 600px; padding: 10px; border: 1px solid #333; font-family: Courier, monospace, Arial, helvetica; padding: 2px; margin: 10px auto; position: absolute; top: 30px; left: 30px;\">";
		$xhtml .= "<div class=\"formexception-header\" style=\"text-align: center; padding: 10px; background-color: #FFCCCC; font-size: 1.1em;\">";
		$xhtml .= "Form Exception caught (code ".$this->getCode().")";
		$xhtml .= "</div>";
		$xhtml .= "<div class=\"formexception-body\" style=\"text-align: left; padding: 10px; font-size: 0.8em;\">";
		$xhtml .= $this->getMessage();
		$xhtml .= "<br /><br />".$this->getTraceAsString();
		$xhtml .= "</div>";
		$xhtml .= "<div class=\"formexception-header\" style=\"text-align: left; padding: 10px; background-color: #CFCFCF; font-size: 0.9em;\">";
		$xhtml .= "<strong>File:</strong> ".$this->getFile()." <strong>Line:</strong> ".$this->getLine();
		$xhtml .= "</div>";
		$xhtml .= "</div>";
		
		return $xhtml;
    }
}
?>
