<?php
/**
 * InputFileRenderer class
 *
 * Render Input:Filet fields
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */
require_once('FieldRenderer.class.php');

class InputFileRenderer extends FieldRenderer
{


	/**
	 * Render whole field
	 *
	 * @return string
	 */

	public final function render($args) {
		if ($this->_xhtmlPattern != '') {
			$xhtml = $this->_xhtmlPattern;
			$xhtml = str_replace('{{label}}', $this->renderLabel(), $xhtml);
			$xhtml = str_replace('{{field}}', $this->renderField($args), $xhtml);
			return $xhtml;
		} else {
			$xhtml = $this->renderLabel().$this->renderField($args);
			return $xhtml;
		}
	}


	/**
	 * @access public
	 * @return string
	 */

	public final function renderLabel() {
		$class = ($this->_field->labelClass != '') ? " class=\"".$this->_field->labelClass."\"" : "";
		return "<label for=\"".$this->_field->name."\" id=\"".$this->_field->name."_label\"$class>".$this->_field->label."</label>";
	}


	/**
	 * @access public
	 * @return string
	 */

	public final function renderField($args) {
		$disabled = ($this->_field->enabled == false) ? " disabled=\"disabled\"" : "";
		$class = ($this->_field->fieldClass != '') ? " class=\"".$this->_field->fieldClass."\"" : "";
		$maxlength = '';
		foreach ($this->_field->validators as $validator) {
			if ($validator[0] == 'Max') {
				$maxlength = " size=\"".$validator[2][0]."\"";
			}
		}
		return "<input type=\"file\" name=\"".$this->_field->name."\" id=\"".$this->_field->name."\"$class value=\"".$this->_field->value."\"".$disabled.$maxlength." />\n";
	}

}
?>
