<?php
/**
 * InputResetRenderer class
 *
 * Render Input:Reset fields
 *
 * @copyright Copyright (c) 2007 Thomas Mazire
 * @author Thomas Mazire <thomas.maziere@gmail.com>
 * @package formol
 */
require_once('FieldRenderer.class.php');

class InputResetRenderer extends FieldRenderer
{


	/**
	 * Render whole field
	 *
	 * @return string
	 */

	public final function render($args) {
		$xhtml = $this->renderLabel().$this->renderField($args);
		return $xhtml;
	}


	/**
	 * @access public
	 * @return string
	 */

	public final function renderLabel() {
		return "";
	}


	/**
	 * @access public
	 * @return string
	 */

	public final function renderField($args) {
		return "<input type=\"reset\" name=\"".$this->_field->name."\" id=\"".$this->_field->name."\" value=\"".$this->_field->value."\" />\n";
	}

}
?>
