<?php
/**
 * DatefrValidator class
 *
 * Validate a date in french format dd/mm/aaaa (Decorator)
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */
require_once('ElementValidator.class.php');

class DatefrValidator extends ElementValidator
{

	/**
	 * Element to validate
	 *
	 * @return void
	 */

	public final function validate() {
		// Default error message
		if ($this->_errorMessage == '') {
			$this->_errorMessage = 'Valid date (dd/mm/aaaa) required';
		}
		// Validating
		if (!preg_match('`^(((0[1-9])|(1\d)|(2\d)|(3[0-1]))\/((0[1-9])|(1[0-2]))\/(\d{4}))$`', $this->_element->value)) {
			$this->_element->errors[] = $this->_errorMessage;
		}
	}
	
}
?>
