<?php
/**
 * ElementValidator class
 *
 * Validate any Element value (Decorator)
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */


abstract class ElementValidator extends Element
{

	/**
	 * Element to validate
	 *
	 * @var string
	 */
	protected  $_element;
	
	/**
	 * Error message
	 *
	 * @var string
	 */
	protected  $_errorMessage;
	
	/**
	 * Arguments
	 *
	 * @var array
	 */
	protected  $_args = array();


	/**
	 * Constructor
	 *
	 * @return bool
	 */

	public function __construct(Element $element, $errorMessage = '', $args = array()) {
		$this->_element = $element;
		$this->_errorMessage = $errorMessage;
		$this->_args = $args;
		return true;
	}

}
?>
