<?php
/**
 * EmailValidator class
 *
 * Validate presence of a valid email (Decorator)
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */
require_once('ElementValidator.class.php');

class EmailValidator extends ElementValidator
{

	/**
	 * Element to validate
	 *
	 * @return void
	 */

	public final function validate() {
		// Default error message
		if ($this->_errorMessage == '') {
			$this->_errorMessage = 'Valid email address required';
		}
		// Validating
		if (!preg_match('`^[[:alnum:]]([-_.]?[[:alnum:]])*@[[:alnum:]]([-.]?[[:alnum:]])*\.([a-z]{2,4})$`', $this->_element->value)) {
			$this->_element->errors[] = $this->_errorMessage;
		}
	}
	
}
?>
