<?php
/**
 * ExpregValidator class
 *
 * Validate field value using custom ExpReg (Decorator)
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */
require_once('ElementValidator.class.php');

class ExpregValidator extends ElementValidator
{

	/**
	 * Element to validate
	 *
	 * @return void
	 */

	public final function validate() {
		// Default error message
		if ($this->_errorMessage == '') {
			$this->_errorMessage = "'".$this->_element->name."' do not match required pattern";
		}
		// Validating
		if (!preg_match('`'.$this->_args[0].'`', $this->_element->value)) {
			$this->_element->errors[] = $this->_errorMessage;
		}
	}
	
}
?>
