<?php
/**
 * MinValidator class
 *
 * Field length must at least n characters (Decorator)
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */
require_once('ElementValidator.class.php');

class MinValidator extends ElementValidator
{

	/**
	 * Element to validate
	 *
	 * @return void
	 */

	public final function validate() {
		// Default error message
		if ($this->_errorMessage == '') {
			$this->_errorMessage = 'Field length must be at least '.$this->_args[0].' characters';
		}
		// Validating
		if (strlen($this->_element->value) < $this->_args[0]) {
			$this->_element->errors[] = $this->_errorMessage;
		}
	}
	
}
?>
