<?php
/**
 * RequiredValidator class
 *
 * Validate presence of a value (Decorator)
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */
require_once('ElementValidator.class.php');

class RequiredValidator extends ElementValidator
{

	/**
	 * Element to validate
	 *
	 * @return void
	 */

	public final function validate() {
		// Default error message
		if ($this->_errorMessage == '') {
			$this->_errorMessage = 'Required value';
		}
		// Validating
		if ($this->_element->value == null || $this->_element->value == '') {
			$this->_element->errors[] = $this->_errorMessage;
		}
	}
	
}
?>
