<?php
/**
 * TelValidator class
 *
 * Validate presence of a french telephone number (Decorator)
 *
 * @copyright Copyright (c) 2007 Thomas Mazière
 * @author Thomas Mazière <thomas.maziere@gmail.com>
 * @package formol
 */
require_once('ElementValidator.class.php');

class TelValidator extends ElementValidator
{

	/**
	 * Element to validate
	 *
	 * @return void
	 */

	public final function validate() {
		// Default error message
		if ($this->_errorMessage == '') {
			$this->_errorMessage = 'Valid french telephone number required (10 digits)';
		}
		// Validating
		if (!preg_match('`^0[1-68][0-9]{8}$`', $this->_element->value)) {
			$this->_element->errors[] = $this->_errorMessage;
		}
	}
	
}
?>
